# WOK
TKWOK
WOKernel

# WOKernel_DevUnit Class Reference

`#include <WOKernel_DevUnit.hxx>`

Inheritance diagram for WOKernel_DevUnit:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_DevUnit (const Handle(WOKernel_UnitTypeDescr)&atype, const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_UnitNesting)&anesting)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EntityCode () const
Standard_EXPORT Standard_Character | TypeCode () const
Standard_EXPORT const Handle_TCollection_HAsciiString & | Type () const
virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | BuildParameters (const Handle(WOKUtils_HSequenceOfParamItem)&someparams, const Standard_Boolean usedefaults)
| constructs Sequence of Parameters Needed by Entity to be built. Checks their consistancy
virtual Standard_EXPORT void | Build (const Handle(WOKUtils_HSequenceOfParamItem)&someparams)
| Creates On disk the Unit it must neither be opened or existing Parameters must all be present in someparams .
virtual Standard_EXPORT void | Destroy ()
| Destroys Unit on Disk it must not be opened .
virtual Standard_EXPORT void | Open ()
| open an existing entity
virtual Standard_EXPORT void | Close ()
| closes entity
Standard_EXPORT void | AddFile (const Handle(WOKernel_File)&afile)
Standard_EXPORT void | RemoveFile (const Handle(WOKernel_File)&afile)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ReadSingleFileList (const Handle(WOKernel_File)&afile) const
Standard_EXPORT void | WriteSingleFileList (const Handle(WOKernel_File)&afile, const Handle(WOKernel_HSequenceOfFile)&files) const
Standard_EXPORT void | ReadFileList (const Handle(WOKernel_Locator)&alocator)
Standard_EXPORT void | DumpFileList (const Handle(WOKernel_Locator)&alocator) const
| Updates FileList files .
Standard_EXPORT Standard_Boolean | SearchInFileList (const Handle(WOKernel_Locator)&alocator, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | NestedFileName (const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT void | SetFileList (const Handle(TColStd_HSequenceOfHAsciiString)&aseq)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | FileList () const
Standard_EXPORT Handle_WOKernel_File | ImplDepFile (const Handle(WOKernel_Locator)&alocator, const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ReadImplDepFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKernel_Locator)&alocator, const Standard_Boolean aflag=Standard_False) const
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplementationDepList (const Handle(WOKernel_UnitGraph)&aunitgraph)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplementationDepList (const Handle(TCollection_HAsciiString)&apart, const Handle(WOKernel_UnitGraph)&aunitgraph)
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplementationDep (const Handle(WOKernel_UnitGraph)&aunitgraph)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplementationDep (const Handle(TCollection_HAsciiString)&apart, const Handle(WOKernel_UnitGraph)&aunitgraph)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplClients (const Handle(WOKernel_UnitGraph)&aclientgraph)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ImplementationDep (const Handle(WOKernel_UnitGraph)&aunitgraph, const Handle(TCollection_HAsciiString)&aname, const Handle(TColStd_HSequenceOfHAsciiString)&alist)

## Protected Member Functions

virtual Standard_EXPORT void | GetParameters ()

## Private Attributes

Handle_WOKernel_UnitTypeDescr | mytype
Handle_TColStd_HSequenceOfHAsciiString | myfiles

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DevUnit::WOKernel_DevUnit | ( | const Handle(WOKernel_UnitTypeDescr)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_UnitNesting)& | anesting
| ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_DevUnit::AddFile | ( | const Handle(WOKernel_File)& | afile | ) |

virtual Standard_EXPORT void WOKernel_DevUnit::Build | ( | const Handle(WOKUtils_HSequenceOfParamItem)& | someparams | ) | `[virtual]`

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKernel_DevUnit::BuildParameters | ( | const Handle(WOKUtils_HSequenceOfParamItem)& | someparams,
|  | const Standard_Boolean | usedefaults
| ) | `[virtual]`

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_DevUnit::Close | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_DevUnit::Destroy | ( |  | ) | `[virtual]`

| Reimplemented from WOKernel_Entity.

Standard_EXPORT void WOKernel_DevUnit::DumpFileList | ( | const Handle(WOKernel_Locator)& | alocator | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_DevUnit::EntityCode | ( |  | ) | const`[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::FileList | ( |  | ) | const

virtual Standard_EXPORT void WOKernel_DevUnit::GetParameters | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKernel_Entity.

Standard_EXPORT const WOKernel_DevUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_Entity.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplClients | ( | const Handle(WOKernel_UnitGraph)& | aclientgraph | ) |

Standard_EXPORT Handle_WOKernel_File WOKernel_DevUnit::ImplDepFile | ( | const Handle(WOKernel_Locator)& | alocator,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplementationDep | ( | const Handle(TCollection_HAsciiString)& | apart,
|  | const Handle(WOKernel_UnitGraph)& | aunitgraph
| ) |

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplementationDep | ( | const Handle(WOKernel_UnitGraph)& | aunitgraph | ) | `[virtual]`

static Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplementationDep | ( | const Handle(WOKernel_UnitGraph)& | aunitgraph,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | alist
| ) | `[static]`

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplementationDepList | ( | const Handle(TCollection_HAsciiString)& | apart,
|  | const Handle(WOKernel_UnitGraph)& | aunitgraph
| ) |

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ImplementationDepList | ( | const Handle(WOKernel_UnitGraph)& | aunitgraph | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_DevUnit::NestedFileName | ( | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

virtual Standard_EXPORT void WOKernel_DevUnit::Open | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT void WOKernel_DevUnit::ReadFileList | ( | const Handle(WOKernel_Locator)& | alocator | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ReadImplDepFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKernel_Locator)& | alocator,
|  | const Standard_Boolean | aflag = `Standard_False`
| ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::ReadSingleFileList | ( | const Handle(WOKernel_File)& | afile | ) | const

Standard_EXPORT void WOKernel_DevUnit::RemoveFile | ( | const Handle(WOKernel_File)& | afile | ) |

Standard_EXPORT Standard_Boolean WOKernel_DevUnit::SearchInFileList | ( | const Handle(WOKernel_Locator)& | alocator,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

Standard_EXPORT void WOKernel_DevUnit::SetFileList | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | aseq | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_DevUnit::Type | ( |  | ) | const

Standard_EXPORT Standard_Character WOKernel_DevUnit::TypeCode | ( |  | ) | const

Standard_EXPORT void WOKernel_DevUnit::WriteSingleFileList | ( | const Handle(WOKernel_File)& | afile,
|  | const Handle(WOKernel_HSequenceOfFile)& | files
| ) | const

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString WOKernel_DevUnit::myfiles `[private]`

Handle_WOKernel_UnitTypeDescr WOKernel_DevUnit::mytype `[private]`

The documentation for this class was generated from the following file:

- WOKernel_DevUnit.hxx